#!/bin/sh
#191018 sfs
[ ! "$2" ] && echo "Use: $0 file.img sdX" && exit 1

if [ "`echo "$1" |egrep '.img$'`" ]; then
    ls -hl "$1" |awk '{print $6" " $10}'
    EXEC="cat"
elif [ "`echo "$1" |egrep '.gz$'`" ]; then
    gunzip -l $1
    EXEC="gunzip -c"
elif [ "`echo "$1" |egrep '.xz$'`" ]; then
    xz -l $1
    EXEC="unxz --stdout"
else
    echo "No suported extension" && exit 1
fi
${EXEC} "${1}" | dd of=/dev/${2} bs=1M conv=fsync status=progress oflag=sync
